# 股東持倉詳情

`GET` `/v1/quote/shareholders/holding`

獲取單個股東的持倉歷史及交易明細。`object_id` 來自 `shareholder_top` 返回結果。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |
| `object_id` | integer | Yes | 股東 ID，來自 `shareholder_top` 的 `object_id` 字段 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/shareholders/holding?symbol=<symbol>&object_id=<object_id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `title` | string | No | 股東頭銜 / 類型 |
| `avatar` | string | No | 頭像 URL |
| `owner_source` | string | No | 股東類型：`Company`、`Institution`、`Person`、`Insider` |
| `holding_periods` | string[] | No | 可用的持倉報告期列表 |
| `holding_details` | object[] | No | 持倉明細記錄 |
| `holding_summary` | object[] | No | 持倉匯總記錄 |
| `trading_periods` | string[] | No | 可用的交易統計區間（如 `Past 1 Month`、`Past 3 Months`） |
| `tradings` | object[] | No | 各區間交易匯總 |
| `└ period` | string | No | 區間標籤（如 `Past 1 Month`） |
| `└ accum_buy` | string | No | 該區間累計買入股數 |
| `└ accum_sell` | string | No | 該區間累計賣出股數 |
| `└ net_buy` | string | No | 該區間淨買入股數（買入減賣出） |
| `└ trading_details` | object[] | No | 該區間內的具體交易記錄 |
| `└ ∟ trading_date` | string | No | 交易日期 |
| `└ ∟ trading_shares` | string | No | 交易股數 |
| `└ ∟ trading_price` | string | No | 交易價格 |
| `└ ∟ trading_type` | string | No | 交易方向：`Buy` 或 `Sell` |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "name": "The Vanguard Group, Inc.",
    "title": "",
    "avatar": "",
    "owner_source": "Institution",
    "holding_periods": [],
    "holding_details": [],
    "holding_summary": [],
    "trading_periods": [
      "Past 1 Month",
      "Past 3 Months",
      "Past 1 Year",
      "Past 3 Years"
    ],
    "tradings": [
      {
        "period": "Past 1 Month",
        "accum_buy": "8500000.00",
        "accum_sell": "2687264.00",
        "net_buy": "5812736.00",
        "trading_details": [
          {
            "trading_date": "2025-12-18",
            "trading_shares": "5200000",
            "trading_price": "248.12",
            "trading_type": "Buy"
          }
        ]
      }
    ]
  }
}
```
